package com.zkqy.system.entity;

import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;

/**
 * 移动端数据对象 mobile_page_data
 * 
 * @author zkqy
 * @date 2024-04-18
 */
public class MobilePageData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 模版json */
    @Excel(name = "模版json")
    private String templateJson;

    /** 组件数据 */
    @Excel(name = "组件数据")
    private String component;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTemplateJson(String templateJson) 
    {
        this.templateJson = templateJson;
    }

    public String getTemplateJson() 
    {
        return templateJson;
    }
    public void setComponent(String component) 
    {
        this.component = component;
    }

    public String getComponent() 
    {
        return component;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("templateJson", getTemplateJson())
            .append("component", getComponent())
            .toString();
    }
}
